Skip to content
Proud to collaborate with Microsoft for Startups

docusign.billing-plans.put-billing-plan ​

Updates the billing plan information, billing address, and credit card information for the specified account.

Updates an account billing plan.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
preview_billing_planstringNo—When true, updates the account using a preview billing plan.
appstorereceiptjsonNo—Contains information about an APP store receipt.
billingaddressjsonNo—Contains information about the address associated with the account.
creditcardinformationjsonNo—This object contains information about a credit card that is associated with an account.
directdebitprocessorinformationjsonNo—Contains information about a bank that processes a customer's direct debit payments.
downgradereasonstringNo—(Optional) The user's reason for downgrading their billing plan.
enablepreauthstringNo——
enablesupportstringNo—When true, customer support is provided as part of the account plan.
includedseatsstringNo—The number of seats (users) included in the plan.
incrementalseatsstringNo—Reserved for Docusign.
paymentmethodstringNo—The payment method used for the billing plan. Valid values are: - NotSupported - CreditCard - PurchaseOrder - Premium - Freemium - FreeTrial - AppStore - DigitalExternal - DirectDebit
paymentprocessorstringNo——
paymentprocessorinformationjsonNo——
planinformationjsonNo—An object used to identify the features and attributes of the account being created.
processpaymentstringNo——
referralinformationjsonNo—A complex type that contains the following information for entering referral and discount information. The following items are included in the referral information (all string content): enableSupport, includedSeats, saleDiscountPercent, saleDiscountAmount, saleDiscountFixedAmount, saleDiscountPeriods, saleDiscountSeatPriceOverride, planStartMonth, referralCode, referrerName, advertisementId, publisherId, shopperId, promoCode, groupMemberId, idType, and industry Note: saleDiscountPercent, saleDiscountAmount, saleDiscountFixedAmount, saleDiscountPeriods, and saleDiscountSeatPriceOverride are reserved for Docusign use only.
renewalstatusstringNo—The renewal status of the account. Possible values are: - auto: The account automatically renews. - queued_for_close: The account will be closed at the billingPeriodEndDate. - queued_for_downgrade: The account will be downgraded at the billingPeriodEndDate`.
salediscountamountstringNo—Reserved for Docusign.
salediscountfixedamountstringNo—Reserved for Docusign.
salediscountpercentstringNo—Reserved for Docusign.
salediscountperiodsstringNo—Reserved for Docusign.
salediscountseatpriceoverridestringNo—Reserved for Docusign.
taxexemptidstringNo——

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
preview_billing_planstringNo—When true, updates the account using a preview billing plan.
appstorereceiptjsonNo—Contains information about an APP store receipt.
billingaddressjsonNo—Contains information about the address associated with the account.
creditcardinformationjsonNo—This object contains information about a credit card that is associated with an account.
directdebitprocessorinformationjsonNo—Contains information about a bank that processes a customer's direct debit payments.
downgradereasonstringNo—(Optional) The user's reason for downgrading their billing plan.
enablepreauthstringNo——
enablesupportstringNo—When true, customer support is provided as part of the account plan.
includedseatsstringNo—The number of seats (users) included in the plan.
incrementalseatsstringNo—Reserved for Docusign.
paymentmethodstringNo—The payment method used for the billing plan. Valid values are: - NotSupported - CreditCard - PurchaseOrder - Premium - Freemium - FreeTrial - AppStore - DigitalExternal - DirectDebit
paymentprocessorstringNo——
paymentprocessorinformationjsonNo——
planinformationjsonNo—An object used to identify the features and attributes of the account being created.
processpaymentstringNo——
referralinformationjsonNo—A complex type that contains the following information for entering referral and discount information. The following items are included in the referral information (all string content): enableSupport, includedSeats, saleDiscountPercent, saleDiscountAmount, saleDiscountFixedAmount, saleDiscountPeriods, saleDiscountSeatPriceOverride, planStartMonth, referralCode, referrerName, advertisementId, publisherId, shopperId, promoCode, groupMemberId, idType, and industry Note: saleDiscountPercent, saleDiscountAmount, saleDiscountFixedAmount, saleDiscountPeriods, and saleDiscountSeatPriceOverride are reserved for Docusign use only.
renewalstatusstringNo—The renewal status of the account. Possible values are: - auto: The account automatically renews. - queued_for_close: The account will be closed at the billingPeriodEndDate. - queued_for_downgrade: The account will be downgraded at the billingPeriodEndDate`.
salediscountamountstringNo—Reserved for Docusign.
salediscountfixedamountstringNo—Reserved for Docusign.
salediscountpercentstringNo—Reserved for Docusign.
salediscountperiodsstringNo—Reserved for Docusign.
salediscountseatpriceoverridestringNo—Reserved for Docusign.
taxexemptidstringNo——
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /v2.1/accounts/{accountId}/billing_plan
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /v2.1/accounts/{accountId}/billing_plan
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.billing-plans.put-billing-plan",
  "initial_data": {
    "base_url": "value",
    "accountid": "value"
  }
}